{% extends "plantilla.html"%}


{% block contenido%}
{% load static %}

<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            LISTADO VEHICULOS <div class="weight-600 font-30 text-blue">
              <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                NUEVO VEHICULO
              </button></div>
          </h4>
        </div>
        <div class="col-md-8">

        </div>
      </div>
    </div>
    <table class="table" cellspacing="0" width="80%" id="mitab">
    <thead>
        <tr>
            <td>ID</td>
            <td>MODELO</td>
            <td>PLACA</td>
            <td>KM. </td>
            <td>ESTADO</td>
            <td>PAGO</td>
            <td>ENTRADA</td>
            <td>MARCA</td>
            <td>CLIENTE</td>
            <td>SERVICIOS</td>
            <td>ENCARGADO</td>
            <td>ACCIONES</td>
        </tr>
    </thead>
    <tbody>
        {% for vehiculo in vehiculos %}
        <tr>
            <td>{{vehiculo.id}}</td>
            <td>{{vehiculo.modelo}}</td>
            <td>{{vehiculo.placa}}</td>
            <td>{{vehiculo.kilometraje}}</td>
            <td>{{vehiculo.estado}}</td>
            <td>{{vehiculo.total}}</td>
            <td>{{vehiculo.fecha_entrada}}</td>
            <td>{{vehiculo.marca.nombre_marca}}</td>
            <td>{{vehiculo.cliente.cedula}}<br>{{vehiculo.cliente.nombre}}</td>
            <td>
              {% for servicio in vehiculo.servicios.all %}
                {{ servicio.descripcion }}{% if not forloop.last %},{% endif %}
              {% endfor %}
            </td>
            <td>{{vehiculo.mecanico.nombre}}</td>


            <td>
                <a href="/editarVehiculo/{{vehiculo.id}}" class="btn btn-warning">EDITAR</a>
                <a href="javascript:void(0)"
                    onclick="eliminar('/eliminarVehiculo/{{vehiculo.id}}');"
                    class="btn btn-danger">
                    Eliminar
                </a>
            </td>
        </tr>
        {% endfor%}
    </tbody>
</table>

<script type="text/javascript" src="https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json"></script>
<script type="text/javascript">
    $(document).ready(function() {
        $('#mitab').DataTable({
            dom: 'Bfrtip',
            buttons: [
                {
                    extend: 'pdfHtml5',
                    messageTop: 'PDF created by PDFMake with Buttons for DataTables.'
                },
                'print',
                'csv'
            ],
            "language": {
                "url": "https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json"
            }
            // Puedes agregar más opciones según tus requisitos
        });
    });
</script>

    </div>
  </div>



  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content ">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form class="" action="/guardarVehiculo/" method="post" enctype="multipart/form-data" id="frm_marca">
            {% csrf_token %}

            <div class="row">
              <div class="col-md-6">
                <label for="nombre_marca" class="form-label">Ingrese el modelo </label>
                <input type="text" class="form-control" name="modelo" id="modelo" placeholder="Ingrese el modelo del vehiculo" required>
              </div>
              <div class="col-md-6">
                <label for="nombre_marca" class="form-label">Ingrese la placa </label>
                <input type="text" class="form-control" name="placa" id="placa" placeholder="XYZ-1234" required>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <label for="nombre_marca" class="form-label">Ingrese el kilometraje </label>
                <input type="number" class="form-control" name="kilometraje" id="kilometraje" placeholder="Ingrese el kilometraje del vehiculo" required>
              </div>
              <div class="col-md-6">
                <label for="nombre_marca" class="form-label">Ingrese la estado </label>
                <input type="text" class="form-control" name="estado" id="estado" placeholder="Ingrese la estado " required>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <label for="nombre_marca" class="form-label">Seleccione el cliente </label>
                <select class="form-control" name="cliente" id="cliente" required>
                <option value="">--Seleccione a la cliente--</option>
                {% for cliente in clientes %}
                  <option value="{{cliente.id}}"><b>CI:</b>{{cliente.cedula}} &nbsp; &nbsp;<b>NOMBRE:</b>{{cliente.nombre}}</option>
                    {% endfor %}
                </select>
              </div>
              <div class="col-md-12">
                <label for="nombre_marca" class="form-label">Seleccione el modelo del carro  </label>
                <select class="form-control" name="marca" id="marca" required>
                <option value="">--Seleccione el modelo del vehiculo--</option>
                {% for marca in marcas %}
                  <option value="{{marca.id}}">{{marca.nombre_marca}}</option>
                    {% endfor %}
                </select>
              </div>
            </div>

            <div class="row">
              <div class="col-md-12">
                <label for="nombre_marca" class="form-label">Seleccione al mecanico encargado</label>
                <select class="form-control" name="mecanico" id="mecanico" required>
                <option value="">--Seleccione al mecanico encargado--</option>
                {% for mecanico in mecanicos %}
                  <option value="{{mecanico.id}}">{{mecanico.nombre}}</option>
                    {% endfor %}
                </select>
              </div>
              <div class="col-md-12">
                <label for="nombre_marca" class="form-label">Seleccione el modelo del carro  </label>
                <label for="productos">Seleccione productos</label><br>
                <!-- Selector múltiple de servicios -->
                <!-- Selector múltiple de servicios -->
                 <select class="form-control selectpicker" multiple data-live-search="true" name="productos" id="productos">
                     {% for servicio in servicios %}
                         <option value="{{ servicio.id }}" data-costo="{{ servicio.costo }}">{{ servicio.descripcion }} - {{ servicio.costo }}</option>
                     {% endfor %}
                 </select>
                 <br>
                 <br>

                 <!-- Cambia el div a un input de solo lectura -->
                 <input type="text" id="totalCosto" class="form-control" name="totalCosto" readonly value="totalCosto">

                 <!-- Campo oculto para almacenar solo las IDs de los productos seleccionados -->
                 <input type="hidden" name="productos_seleccionados" id="productos_seleccionados" value="">

                 <script>
                   $(document).ready(function () {
                     $('.selectpicker').selectpicker({
                         showTick: false
                     });

                     // Maneja el evento de cambio en la selección de productos
                     $('#productos').on('changed.bs.select', function (e) {
                         // Obtiene los productos seleccionados y los almacena en el campo oculto
                         var productosSeleccionados = $(this).val();
                         $('#productos_seleccionados').val(productosSeleccionados);

                         // Calcula la suma de los costos
                         var sumaCosto = 0;
                         $.each(productosSeleccionados, function (index, productoId) {
                             // Accede al costo del producto usando el atributo data-costo
                             var costo = $('#productos option[value="' + productoId + '"]').data('costo');
                             sumaCosto += parseFloat(costo);
                         });

                         // Muestra la suma de los costos en el input de solo lectura
                         $('#totalCosto').val(sumaCosto.toFixed(2));
                     });
                  });

                 </script>
            </div>
            <div class="col-md-12 mt-3">
              <center>
                <button type="submit" class="btn btn-primary"><i class="bi bi-floppy"></i>&nbsp; Guardar Marca</button>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
              </center>
            </div>
          </form>
        </div>
        <div class="modal-footer">
        </div>
      </div>
    </div>
  </div>



{% endblock %}
